Loading...
Searching...
No Matches
Opm::BrineH2Pvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the liquid phase for a H2-Brine system. More...

`#include <BrineH2Pvt.hpp>`

## Public Types

using | H2O = SimpleHuDuanH2O<Scalar>
using | Brine = ::Opm::BrineDynamic<Scalar, H2O>
using | H2 = ::Opm::H2<Scalar>
using | BinaryCoeffBrineH2 = BinaryCoeff::Brine_H2<Scalar, H2O, H2>

## Public Member Functions

| BrineH2Pvt (const std::vector< Scalar > &salinity, Scalar T_ref=288.71, Scalar P_ref=101325)
void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar rhoRefBrine, Scalar rhoRefH2, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | initEnd ()
| Finish initializing the oil phase PVT properties.
void | setEnableDissolvedGas (bool yesno)
| Specify whether the PVT model should consider that the H2 component can dissolve in the brine phase.
void | setEnableSaltConcentration (bool yesno)
| Specify whether the PVT model should consider salt concentration from the fluidstate or a fixed salinty.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
Scalar | hVap (unsigned) const
| Returns the specific enthalpy [J/kg] of gas given a set of parameters.
template<class Evaluation>
Evaluation | internalEnergy (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &Rs, const Evaluation &saltConcentration) const
template<class Evaluation>
Evaluation | internalEnergy (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &Rs) const
| Returns the specific enthalpy [J/kg] of gas given a set of parameters.
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltConcentration) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &saltConcentration) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of oil saturated gas at given pressure.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltconcentration) const
| Returns the formation volume factor [-] of the fluid phase.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &Rs, const Evaluation &saltConcentration) const
| Returns the formation volume factor [-] of the fluid phase.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &Rs) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns the formation volume factor [-] of brine saturated with H2 at a given pressure.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the brine phase [Pa] depending on its mass fraction of the gas component.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the brine phase [Pa] depending on its mass fraction of the gas component.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the liquid phase.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltConcentration) const
| Returns the gas dissoluiton factor [m^3/m^3] of the liquid phase.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure) const
| Returns thegas dissoluiton factor [m^3/m^3] of the liquid phase.
Scalar | oilReferenceDensity (unsigned regionIdx) const
Scalar | waterReferenceDensity (unsigned regionIdx) const
Scalar | gasReferenceDensity (unsigned regionIdx) const
Scalar | salinity (unsigned regionIdx) const
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &temperature, const Evaluation &pressure, unsigned) const
| Diffusion coefficient of H2 in water.

## Detailed Description

template<class Scalar>
class Opm::BrineH2Pvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the liquid phase for a H2-Brine system.

## Member Function Documentation

## saturationPressure() [1/2]

template<class Scalar>
template<class Evaluation>

Evaluation Opm::BrineH2Pvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the brine phase [Pa] depending on its mass fraction of the gas component.

Parameters

  Rs |

## saturationPressure() [2/2]

template<class Scalar>
template<class Evaluation>

Evaluation Opm::BrineH2Pvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the brine phase [Pa] depending on its mass fraction of the gas component.

Parameters

  Rs |

## setEnableDissolvedGas()

template<class Scalar>

void Opm::BrineH2Pvt< Scalar >::setEnableDissolvedGas | ( | bool | yesno | ) |

inline

Specify whether the PVT model should consider that the H2 component can dissolve in the brine phase.

By default, dissolved H2 is considered.

## setEnableSaltConcentration()

template<class Scalar>

void Opm::BrineH2Pvt< Scalar >::setEnableSaltConcentration | ( | bool | yesno | ) |

inline

Specify whether the PVT model should consider salt concentration from the fluidstate or a fixed salinty.

By default, fixed salinity is considered

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/BrineH2Pvt.hpp
- opm/material/fluidsystems/blackoilpvt/BrineH2Pvt.cpp